'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _searchMap = require('./searchMap');

var _searchMap2 = _interopRequireDefault(_searchMap);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var caniuse = require('caniuse-api');

function gatherInformation() {
	var prefixProperties = {
		ie: {},
		firefox: {},
		safari: {},
		chrome: {}
	};

	var search = undefined;

	var _loop = function () {
		var properties = _searchMap2['default'][search];
		var versions = caniuse.getSupport(search, true);
		if (properties instanceof Array !== true) {
			properties = [properties];
		}
		properties.forEach(function (prop) {
			var prefix = undefined;
			for (prefix in prefixProperties) {
				prefixProperties[prefix][prop] = versions[prefix].x;
			}
		});
	};

	for (search in _searchMap2['default']) {
		_loop();
	}
	return 'var prefixes = ' + JSON.stringify(prefixProperties) + '; module.exports = prefixes';
}

_fs2['default'].writeFile('./lib/data.js', gatherInformation(), function (err) {
	if (err) throw err;
	console.log("Successfully generated prefix data.");
});